package net.sourceforge.nattable.tree;

import java.util.List;



public interface ITreeData <T> {
	
	public String formatDataForDepth(int depth, T object);
	
	public T getDataAtIndex(int index);

	public int getDepthOfData(T object);

	public int indexOf(T child);
	
	public boolean hasChildren(T object);
	
	public List <T> getChildren(T object);
	
}
